//
//  BsBaseurlManager.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2022/10/17.
//  Copyright © 2022 www.davidhuang.com. All rights reserved.
//

// MARK: - 管理项目开发中需要使用到的域名地址
class YHBaseUrlManager {
    
    static let shared = YHBaseUrlManager()
    
    //开发环境
    static let baseUrlDev : String = "http://test.api.health.sleep321.com/"
    
    //测试环境
    //static let baseUrlTest : String = ""
    
    //正式环境
    static let baseUrlRelease : String = "https://api.health.sleep321.com/"
    
    //h5开发环境
    static let h5UrlDev : String = "https://cdn.sleep321.com/trial/"
    
    //h5正式环境
    static let h5UrlRelease : String = "https://cdn.sleep321.com/production/"
    
    
    //用于外部编辑的
    var urlForEditing : String?
    
    
    // MARK: - 当前使用的url
    func curURL() -> String {
#if DEBUG
        return urlForEditing ?? YHBaseUrlManager.baseUrlDev
#else
        return YHBaseUrlManager.baseUrlRelease
#endif
    }
    
    
    // MARK: - 当前使用的url
    func h5URL() -> String {
#if DEBUG
        return YHBaseUrlManager.h5UrlDev
#else
        return YHBaseUrlManager.h5UrlRelease
#endif
    }
    
    
}
